# Sure - A Secure Message Sharing Web App

Sure is a web application that allows you to share secrets securely using end-to-end encryption without relying on a server. It is built with TypeScript, uses ECDH for secure communication between two parties, and works completely offline.

## Getting Started

If you have `asdf` installed, run `asdf install` at the root of the project. Otherwise install the version of NodeJS specified in `.tool-versions` in this repository before continuing.

```bash
git clone https://git.silentsilas.com/silentsilas/sure.git
cd sure
npm install && npm run dev
```

## Deploy

Output a static build to `./dist` that you can deploy to any host, or open `index.html` for a working offline version of the site.

```bash
npm run build
```
